/**
 * Copyright &copy; 2012-2016 <a href="https://github.com/thinkgem/jeesite">JeeSite</a> All rights reserved.
 */
package com.wechat.model.dto;

import java.util.List;

/**
 * 单表生成Entity
 * 
 * @author jadyn.wu
 * @version 2019-06-6
 */
public class ShowOfUserDto  {

	private String name; // 用户姓名（个人）/企业名称（企业）
	private String foreignName; // 外文名称
	private String headPortrait; // 头像（存放头像相对存放地址）
	private String addrProvince; // 地址-省（中国）
	private String addrCity; // 地址-市（中国）
	private String addrArea; // 地址-区（中国）
	private String vipFlag; // 会员标识[0-非会员；1-会员]
	private String addDetail;// 工作地点详细地址
	private String website;// 企业官网
	private String introduction; // 个人、企业简介
	private String address;
	
	private List<String> welfaresList;  //福利列表
	
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getForeignName() {
		return foreignName;
	}
	public void setForeignName(String foreignName) {
		this.foreignName = foreignName;
	}
	public String getHeadPortrait() {
		return headPortrait;
	}
	public void setHeadPortrait(String headPortrait) {
		this.headPortrait = headPortrait;
	}
	public String getAddrProvince() {
		return addrProvince;
	}
	public void setAddrProvince(String addrProvince) {
		this.addrProvince = addrProvince;
	}
	public String getAddrCity() {
		return addrCity;
	}
	public void setAddrCity(String addrCity) {
		this.addrCity = addrCity;
	}
	public String getAddrArea() {
		return addrArea;
	}
	public void setAddrArea(String addrArea) {
		this.addrArea = addrArea;
	}

	public String getVipFlag() {
		return vipFlag;
	}
	public void setVipFlag(String vipFlag) {
		this.vipFlag = vipFlag;
	}
	public String getAddDetail() {
		return addDetail;
	}
	public void setAddDetail(String addDetail) {
		this.addDetail = addDetail;
	}
	public String getWebsite() {
		return website;
	}
	public void setWebsite(String website) {
		this.website = website;
	}
	public String getIntroduction() {
		return introduction;
	}
	public void setIntroduction(String introduction) {
		this.introduction = introduction;
	}
	public String getAddress() {
		return address;
	}
	public void setAddress(String address) {
		this.address = address;
	}
	/**
	 * @return the welfaresList
	 */
	public List<String> getWelfaresList() {
		return welfaresList;
	}
	/**
	 * @param welfaresList the welfaresList to set
	 */
	public void setWelfaresList(List<String> welfaresList) {
		this.welfaresList = welfaresList;
	}

}